#include <iostream>
using namespace std;

int main(){

    int i;
    char c[2];
    int a[2];

    cin >> c[0] >> c[1] >> a[0] >> a[1];

    if(abs(a[0] - a[1]) > 1){
        cout << "nemoguce" << endl;
        return 0;
    }

    if(a[0] < a[1]){
        swap(a[0], a[1]);
        swap(c[0], c[1]);
    }

    for(i = 0; i < a[0] + a[1]; i++)
        cout << c[i % 2];
    cout << endl;
    return 0;
}